%define version 0.6
%define release 1mdk

Summary: 	Download manager using wget
Name: 		gwget2
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/File transfer
# tar.gz at http://download.sf.net/gwget/
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
URL: 		http://gwget.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildrequires:	libgnomeui2-devel
Buildrequires:	libglade2.0-devel
Requires: 	wget
# obsoletes old gtk+ 1.x based one
Obsoletes:	gwget
Provides:	gwget

%description
Gwget is a Download Manager for Gnome 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="Gwget download manager" \
 longtitle="Download manager using wget as backend" \
 needs="x11" \
 icon="%{name}.png" \
 section="Networking/File transfer"
EOF

install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

# remove files not bundled
rm -rf %{buildroot}%{_prefix}/doc/ %{buildroot}%{_includedir}

%find_lang %{name}
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/apps/*/*.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Sep 29 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- First gwget2 package (GNOME 2 based), based on old gwget spec

* Sat Aug 02 2003 Michael Scherer <scherer.michael@free.fr> 0.5.2-3mdk 
- clean spec files.
- buildrequires 

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-2mdk
- Fix menu entry

* Sun Sep 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- rebuild

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- fix group

* Fri Oct 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile for Mandrake
